package cn.wisenergy.service.app;


import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.AccountInfo;
import cn.wisenergy.model.app.OrderInfo;

import java.util.List;

/**
 * @author 86187
 */
public interface AccountService {

    /**
     * 订单返佣
     * @param list 订单信息
     * @return true or false
     */
    R<Boolean> orderRebate(List<OrderInfo> list);

    /**
     *  获取账户信息
     * @param userId 用户id
     * @return 账户信息
     */
    R<AccountInfo> getByUserId(Integer userId);
}
